Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class ModifyClipPath

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.ModifyClipPath

    @PDF(value=PDF10)
    public final class ModifyClipPath

extends Operation

Clipping path operation [PDF:1.6:4.4.2].

Since:
  0.0.7
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static ModifyClipPath` | `EvenOdd` 'Modify the current clipping path by intersecting it with the current path, using the even-odd rule to determine which regions lie inside the clipping path' operation.
`static String` | `EvenOddOperator`
`static ModifyClipPath` | `NonZero` 'Modify the current clipping path by intersecting it with the current path, using the nonzero winding number rule to determine which regions lie inside the clipping path' operation.
`static String` | `NonZeroOperator`

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Method Summary
`WindModeEnum` | `getClipMode()` Gets the clipping rule.
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EvenOddOperator

    public static final String EvenOddOperator

See Also:
  Constant Field Values

### NonZeroOperator

    public static final String NonZeroOperator

See Also:
  Constant Field Values

### EvenOdd

    public static final ModifyClipPath EvenOdd

  'Modify the current clipping path by intersecting it with the current path, using the even-odd rule to determine which regions lie inside the clipping path' operation.

### NonZero

    public static final ModifyClipPath NonZero

  'Modify the current clipping path by intersecting it with the current path, using the nonzero winding number rule to determine which regions lie inside the clipping path' operation.

Method Detail

### getClipMode

    public WindModeEnum getClipMode()

  Gets the clipping rule.

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `ContentObject`
  Parameters:
    `state` - Graphics state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.